import { SeriesViewerDescription } from "./SeriesViewerDescription";
import { RectDescription } from "./RectDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class GeographicMapDescription extends SeriesViewerDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private dz;
    get zoomable(): boolean;
    set zoomable(a: boolean);
    private dw;
    get worldRect(): RectDescription;
    set worldRect(a: RectDescription);
    private dv;
    get actualWorldRect(): RectDescription;
    set actualWorldRect(a: RectDescription);
    private d2;
    get windowScale(): number;
    set windowScale(a: number);
    private d1;
    get actualWindowScale(): number;
    set actualWindowScale(a: number);
    private d6;
    get imageTilesReadyRef(): string;
    set imageTilesReadyRef(a: string);
    private d7;
    get width(): string;
    set width(a: string);
    private d5;
    get height(): string;
    set height(a: string);
}
